org.apache.solr.spelling.suggest.fst

## Class BlendedInfixLookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory
  - - org.apache.solr.spelling.suggest.fst.AnalyzingInfixLookupFactory
    - - org.apache.solr.spelling.suggest.fst.BlendedInfixLookupFactory

-     public class BlendedInfixLookupFactory
      extends AnalyzingInfixLookupFactory

  Factory for `BlendedInfixLookupFactory`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.spelling.suggest.fst.AnalyzingInfixLookupFactory

      `ALL_TERMS_REQUIRED, CONTEXTS_FIELD_NAME, HIGHLIGHT, INDEX_PATH, MIN_PREFIX_CHARS, QUERY_ANALYZER`

    - ### Fields inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `DEFAULT_FILE_BASED_DICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlendedInfixLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `getTempDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlendedInfixLookupFactory

          public BlendedInfixLookupFactory()

  - ### Method Detail

    - #### create

          public Lookup create(NamedList params,
                               SolrCore core)

      Description copied from class: `LookupFactory`
      Create a Lookup using config options in `params` and current `core`
      Overrides:
        `create` in class `AnalyzingInfixLookupFactory`

    - #### storeFileName

          public String storeFileName()

      Description copied from class: `LookupFactory`

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures
      Overrides:
        `storeFileName` in class `AnalyzingInfixLookupFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.